Name:           grhino
Version:        0.16.0
Release:        5%{?dist}
Summary:        Reversi game for GNOME, supporting the Go/Game Text Protocol

Group:          Amusements/Games
License:        GPLv2+
URL:            http://rhino.sourceforge.net/
Source0:        http://dl.sourceforge.net/rhino/grhino-%{version}.tar.gz
Patch0:         grhino-0.16.0-gcc43.patch
Patch1:         grhino-0.16.0-types.patch
Patch2:         grhino-0.16.0-emptyelse.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  libgnomeui-devel
BuildRequires:  scrollkeeper
#Requires:       
Requires(post):         scrollkeeper
Requires(postun):       scrollkeeper

%description
GRhino, or Rhino its former name, is a Reversi game on Linux and other
UNIX-like systems as long as GNOME 2 libraries are installed. It is currently
under development and a new version is available occasionally.

What distinguish GRhino from most other Reversi games is that GRhino will be
targeted for experienced Reversi players. Strong AI is the main focus with some
additional good, useful features (like an endgame solver) is planned. The
ultimate target strength of the AI is that it should be able to beat the best
human player at the highest difficulty level. Beating Logistello (the strongest
program available) is not in the plan :) 

GRhino supports the Go/Game Text Protocol (GTP), allowing it to be used as
an engine for a GTP-compliant controller like Quarry.

%prep
%setup -q
%patch0 -p1 -b .gcc43
%patch1 -p1 -b .types
%patch2 -p1 -b .emptyelse


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# desktop file
desktop-file-install --vendor fedora \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications \
        --remove-key=Version\
        desktop/%{name}.desktop

# Icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps

%find_lang %{name}

%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

%postun
scrollkeeper-update -q || :

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING NEWS README TODO
%{_bindir}/grhino
%{_bindir}/gtp-rhino
%{_datadir}/applications/*.desktop
%{_datadir}/gnome/help/grhino/
%{_datadir}/pixmaps/grhino.png
%{_datadir}/grhino-%{version}/
%{_datadir}/omf/grhino/


%changelog
* Fri Feb 22 2008 Michel Salim <michel.sylvan@gmail.com> - 0.16.0-5
- Fix incompatibilities with GCC 4.3 (header changes)
- Fix compilation warnings

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.16.0-4
- Autorebuild for GCC 4.3

* Fri Jan 18 2008 Michel Salim <michel.sylvan@gmail.com> - 0.16.0-3
- Rebuild for Fedora 9 (development tree)

* Mon Sep 24 2007 Michel Salim <michel.sylvan@gmail.com> - 0.16.0-2
- License field updated
- Remove invalid Version key from upstream desktop file

* Sat Nov 25 2006 Michel Salim <michel.salim@gmail.com> - 0.16.0-1
- Update to 0.16.0
- Remove unneeded patches

* Fri Nov 10 2006 Michel Salim <michel.salim@gmail.com> - 0.15.2-4
- Add application icon

* Sun Oct 29 2006 Michel Salim <michel.salim@gmail.com> - 0.15.2-3
- Fix incorrect OMF path

* Mon Oct  9 2006 Michel Salim <michel.salim@gmail.com> - 0.15.2-2
- BuildRequire on gettext

* Sun Oct  8 2006 Michel Salim <michel.salim@gmail.com> - 0.15.2-1
- Update to 0.15.2

* Thu Mar  2 2006 Michel Salim <michel.salim@gmail.com> - 0.15.0-5
- Rebuild for Fedora Extras 5

* Sun Nov 13 2005 Michel Salim <michel.salim[AT]gmail.com> - 0.15.0-4
- Reverted game name used in GTP protocol

* Sun Sep  4 2005 Michel Salim <michel.salim[AT]gmail.com> - 0.15.0-3
- removed references to copyrighted name
- packaged modified tarball to prevent trademark infringement
- patched configure to fix gettext detection on x86_64

* Fri Sep  2 2005 Michel Salim <michel.salim[AT]gmail.com> - 0.15.0-2
- changed BuildReq from libgnome-devel to libgnomeui-devel, which requires
  the former

* Sat Aug 20 2005 Michel Salim <michel.salim[AT]gmail.com> - 0.15.0-1
- initial package
